Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 270607 - dev-util/kbuild-0.1.5-r1 failed to build with glibc-2.10
Summary: dev-util/kbuild-0.1.5-r1 failed to build with glibc-2.10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Markus Ullmann (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.10
  Show dependency tree
 
Reported: 2009-05-20 17:53 UTC by Justin Lecher
Modified: 2010-02-13 01:19 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/tmp/build.log (build.log,201.00 KB, text/plain)
2009-05-20 17:54 UTC, Justin Lecher
Details
/tmp/build.log (build.log,201.00 KB, text/plain)
2009-05-20 17:54 UTC, Justin Lecher
Details
Build fix for posix conflict. (kbuild-dprintf-posix2008.patch,1.04 KB, patch)
2009-05-23 00:28 UTC, Adam Gregoire
Details | Diff
Updated ebuild for kbuild. (kbuild-0.1.5-r1.ebuild,1.10 KB, text/plain)
2009-05-23 00:29 UTC, Adam Gregoire
Details
... or instead rename the internal dprintf to avoid conflict with that in glibc-2.10 :). (kbuild-glibc210.patch,388 bytes, patch)
2009-05-29 08:31 UTC, hirakendu
Details | Diff
Build log (dev-util:kbuild-9999:20100213-010430.log) (dev-util:kbuild-9999:20100213-010430.log,242.53 KB, text/plain)
2010-02-13 01:19 UTC, Jesse Adelman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2009-05-20 17:53:30 UTC
In file included from /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/error.c:60:
/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/output.h:68: error: conflicting types for ‘dprintf’
/usr/include/stdio.h:397: error: previous declaration of ‘dprintf’ was here
kmk: *** [/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/error.o] Error 1
The failing command:
@gcc -c -O2 -g -O3 -m32 -I/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash -I/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash -I/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/lib -DKBUILD_VERSION_MAJOR=0 -DKBUILD_VERSION_MINOR=1 -DKBUILD_VERSION_PATCH=98 -DKBUILD_OS_LINUX -DKBUILD_ARCH_X86 -Dlint -DSHELL -DSMALL -DKMK -DNDEBUG -DBSD -Wp,-MD,/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/error.o.dep -Wp,-MT,/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/error.o -Wp,-MP -o /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/error.o /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/error.c
kmk: *** Waiting for unfinished jobs....
In file included from /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/jobs.h:37,
                 from /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/eval.c:71:
/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/output.h:68: error: conflicting types for ‘dprintf’
/usr/include/stdio.h:397: error: previous declaration of ‘dprintf’ was here
kmk: *** [/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/eval.o] Error 1
The failing command:
@gcc -c -O2 -g -O3 -m32 -I/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash -I/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash -I/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/lib -DKBUILD_VERSION_MAJOR=0 -DKBUILD_VERSION_MINOR=1 -DKBUILD_VERSION_PATCH=98 -DKBUILD_OS_LINUX -DKBUILD_ARCH_X86 -Dlint -DSHELL -DSMALL -DKMK -DNDEBUG -DBSD -Wp,-MD,/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/eval.o.dep -Wp,-MT,/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/eval.o -Wp,-MP -o /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/obj/kmk_ash/eval.o /var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/src/ash/eval.c
kmk: Leaving directory `/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5'
kmk: Entering directory `/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5'
kmk: *** Exiting with status 2
make: *** [/var/tmp/portage/dev-util/kbuild-0.1.5-r1/work/kBuild-0.1.5/out/linux.x86/release/bootstrap/ts-stage2-build] Error 2
kBuild/env.sh: info: rc=2: make -f bootstrap.gmk AUTORECONF=true
 * 
 * ERROR: dev-util/kbuild-0.1.5-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2706:  Called die
 * The specific snippet of code:
 *       kBuild/env.sh --full make -f bootstrap.gmk AUTORECONF=true || die "bootstrap failed"
Comment 1 Justin Lecher gentoo-dev 2009-05-20 17:54:29 UTC
Created attachment 191922 [details]
/tmp/build.log

emerge.info
Comment 2 Justin Lecher gentoo-dev 2009-05-20 17:54:36 UTC
Created attachment 191923 [details]
/tmp/build.log

build.log
Comment 3 Adam Gregoire 2009-05-23 00:28:04 UTC
Created attachment 192154 [details, diff]
Build fix for posix conflict.
Comment 4 Adam Gregoire 2009-05-23 00:29:03 UTC
Created attachment 192155 [details]
Updated ebuild for kbuild.
Comment 5 Adam Gregoire 2009-05-23 00:58:22 UTC
Just thought about this some more and my patches don't account for non POSIX.1-2008 systems.
Comment 6 Stelios Z. 2009-05-23 22:55:36 UTC
The same here.

The kbuild-0.1.5-r1.ebuild  does not solve the problem for me. Same error.

My emerge --info :
-----------------------------------------------------------------------------

Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.28-gentoo-r5 x86_64)
=================================================================                                                                                           
System uname: Linux-2.6.28-gentoo-r5-x86_64-AMD_Phenom-tm-_9550_Quad-Core_Processor-with-gentoo-2.0.0                                                       
Timestamp of tree: Sat, 23 May 2009 12:00:01 +0000                                                                                                          
app-shells/bash:     3.2_p39                                                                                                                                dev-java/java-config: 1.3.7-r1, 2.1.7                                                                                                                       
dev-lang/python:     2.4.4-r13, 2.5.4-r2, 2.6.2                                                                                                             dev-python/pycrypto: 2.0.1-r8                                                                                                                               dev-util/cmake:      2.6.4                                                                                                                                  sys-apps/baselayout: 2.0.0                                                                                                                                  sys-apps/openrc:     0.4.3-r2                                                                                                                               sys-apps/sandbox:    1.6-r2                                                                                                                                 sys-devel/autoconf:  2.13, 2.63-r1                                                                                                                          sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                                                                              sys-devel/binutils:  2.18-r3                                                                                                                                sys-devel/gcc-config: 1.4.1                                                                                                                                 sys-devel/libtool:   1.5.26                                                                                                                                 virtual/os-headers:  2.6.29                                                                                                                                 ACCEPT_KEYWORDS="amd64"                                                                                                                                     CBUILD="x86_64-pc-linux-gnu"                                                                                                                                CFLAGS="-march=amdfam10 -O2 -pipe"                                                                                                                          CHOST="x86_64-pc-linux-gnu"                                                                                                                                 
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"                                    
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-ac
tive/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                       CXXFLAGS="-march=amdfam10 -O2 -pipe"                                                                                                                        
DISTDIR="/usr/portage/distfiles"                                                                                                                            
FEATURES="buildpkg candy distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"                               GENTOO_MIRRORS="ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"                                                                                        
LDFLAGS="-Wl,-O1"                                                                                                                                           LINGUAS="en el"                                                                                                                                             
MAKEOPTS="-j9"                                                                                                                                              
PKGDIR="/usr/portage/packages/phenom"                                                                                                                       
PORTAGE_CONFIGROOT="/"                                                                                                                                      PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                                                                          PORTAGE_TMPDIR="/var/tmp"                                                                                                                                   PORTDIR="/usr/portage"                                                                                                                                      PORTDIR_OVERLAY="/usr/portage-local"                                                                                                                        SYNC="rsync://rsync.gentoo.org/gentoo-portage"                                                                                                              USE="7zip X X509 a52 aac aalib acct acl acpi aiglx alsa amd amd64 amr amuled apache2 asf audiofile avi beagle berkdb bidi bl blas bluetooth branding bzip2 cairo cdda cddb cdio cdparanoia cdr chm cli cpudetection cracklib crypt cups curl dbus directfb djvu dmx dnd dri dts dv dvb dvd dvdr dvdread dvi edl eds emboss encode esd evo exif expat extrafilters fam fame fbcon ffmpeg firefox flac foomaticdb fortran freetype freetype2 gdbm ggi gif gimp gimpprint glib glitz gnome gnutls gphoto gphoto2 gpm graphviz gstreamer gtk gtk2 gtkhtml h264 hal hddtemp hdf5 hpn hwdata-gentoo iconv idn ieee1394 imagemagick imlib ipv6 isdnlog ithreads jack java joystick jpeg jpeg2k kde kdeenablefinal kdehiddenvisibility kdexdeltas kdrive keyring kipi lame lcms libcaca libnotify libsamplerate lirc live lm_sensors lua lzo matroska midi mime mjpeg mmap mmx mmx2 mmxext mng mod modplug mono motif mozcalendar mozilla mozsvg mp3 mp4 mpeg mpi mplayer msn mudflap multilib musepack mysql nas nautilus ncurses network nfs nls nntp nodrm nptl nptlonly nsplugin ogg openexr opengl openmp pam pch pcre pdf perl plotutils png pppd python qt qt3 qt3support qt4 quicktime quotas rdesktop readline reflection remote rtc ruby samba scanner screen sdl sensord session shout silc slang smp sndfile sound speex spell spl sqlite sqlite3 sse sse2 ssl startup-notification stats stream subtitles subversion svg sysfs tcltk tcpd tetex tga the
ora threads tiff timidity truetype ucs2 unicode usb userlocales v4l v4l2 vcd vhosts vorbis widescreen winbind wma wmf wxgtk1 x264 xanim xcomposite xine xml 
xml2 xorg xpm xprint xscreensaver xulrunner xv xvid xvmc yv12 zlib" ALSA_CARDS="snd-hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop emp
ty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cac
he dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en el" USERLAND="GNU" VIDEO_CARDS="fglrx radeon vesa"                          Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Alex Alexander (RETIRED) gentoo-dev 2009-05-24 22:33:44 UTC
this patch fixed it for me ( gcc-4.4 and glibc 2.10.1 )

--info:
Portage 2.2_rc33 (default/linux/amd64/2008.0, gcc-4.4.0, glibc-2.10.1-r0, 2.6.29-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-gentoo-2.0.0
Timestamp of tree: Sun, 24 May 2009 20:25:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8
dev-lang/python:     2.6.2
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O3 -pipe -floop-interchange -floop-strip-mine -floop-block"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O3 -pipe -floop-interchange -floop-strip-mine -floop-block"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg candy collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.ntua.gr/pub/linux/gentoo/ ftp://ftp.cc.uoc.gr/mirrors/linux/gentoo/ "
LANG="en_US.UTF8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="en_US en el ja ja_JP"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/voyageur /usr/local/portage/layman/berkano /usr/local/portage/layman/nouveau /usr/local/portage/layman/java-overlay /usr/local/portage/layman/jokey /usr/local/portage/layman/sunrise /usr/local/portage/layman/x11 /usr/local/portage/layman/mozilla /home/wired/devel/gentoo/kde /home/wired/devel/gentoo/kde-crazy /home/wired/devel/gentoo/qting-edge /home/wired/devel/gentoo/wirelay"
USE="X a52 aac aalib acl acpi alsa amd64 amrnb amrwb audiofile avahi awesome bash-completion berkdb bindist bluetooth branding bzip2 cdaudio cdda cddb cdio cdr chm cjk cleartype cli color-console cracklib crypt cups custom-cflags custom-optimization dbus dell dhclient dhcp dhcpcd disk-partition dri dv dvd dvdr dvdread encode exif ffmpeg firefox3 flac fontconfig ftp gd gdbm geoip gif git glib glitz gpm gtk hal hddtemp howl-compat icecast iconv id3 id3tag immqt-bc isdnlog jpeg jpeg2k kdehiddenvisibility kqemu laptop libsamplerate libsysfs lm_sensors lzo mad matroska mdnsresponder-compat midi mmx mmxext mng modplug mp2 mp3 mp4 mpd mpeg msn mudflap multilib musepack musicbrainz ncurses nemesi network nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre pdf perl png pnm pppd prime python qt3support qt4 quicktime radio rar readline reflection rtc samba session sndfile spl sqlite srt sse sse2 ssl ssse3 startup-notification stream subversion suid svg sysfs taglib tcpd tga theora threads tiff truetype twolame unicode upnp vcd vcdinfo vcdx vdpau vim-pager vim-syntax vim-with-x vorbis wavpack wifi wmf x264 xanim xcb xcomposite xinerama xml xorg xosd xpm xulrunner xv xvid zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US en el ja ja_JP" USERLAND="GNU" VIDEO_CARDS="nvidia nv fbdev vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 8 Sascha Beck 2009-05-29 06:59:56 UTC
thanks for the patch this also fixed it for me.

emerge --info                                                 
Portage 2.2_rc33 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.10.1-r0, 2.6.29-gentoo-r4 x86_64)                                                                                              
=================================================================                               
System uname: Linux-2.6.29-gentoo-r4-x86_64-VIA_Nano_processor_L2200@1600MHz-with-gentoo-1.12.11.1                                                                                              
Timestamp of tree: Fri, 29 May 2009 01:30:09 +0000                                              
app-shells/bash:     4.0_p24                                                                    
dev-lang/python:     2.5.4-r2, 2.6.2-r1                                                         
sys-apps/baselayout: 1.12.11.1                                                                  
sys-apps/sandbox:    1.9                                                                        
sys-devel/autoconf:  2.63                                                                       
sys-devel/automake:  1.9.6-r2, 1.10.2                                                           
sys-devel/binutils:  2.19.1-r1                                                                  
sys-devel/gcc-config: 1.4.1                                                                     
sys-devel/libtool:   2.2.6a                                                                     
virtual/os-headers:  2.6.29                                                                     
ACCEPT_KEYWORDS="amd64"                                                                         
CBUILD="x86_64-pc-linux-gnu"                                                                    
CFLAGS="-march=native -O2 -pipe"                                                                
CHOST="x86_64-pc-linux-gnu"                                                                     
CONFIG_PROTECT="/etc"                                                                           
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                                  
CXXFLAGS="-march=native -O2 -pipe"                                                              
DISTDIR="/usr/portage/distfiles"                                                                
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                                                    
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://www.cyberuse.com/gentoo/ http://gentoo.osuosl.org/"                                                                                    
LDFLAGS="-Wl,-O1"                                                                               
LINGUAS="en"                                                                                    
MAKEOPTS="-j2"                                                                                  
PKGDIR="/usr/portage/packages"                                                                  
PORTAGE_CONFIGROOT="/"                                                                          
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/toolchain /usr/local/portage/mine"
SYNC="rsync://deepstorm/gentoo-portage"
USE="X acl acpi alsa amd64 bash-completion berkdb bzip2 cli cracklib crypt cups dbus dri fortran gdbm git gpm hal iconv isdnlog matroska midi mmx mp3 mpeg mudflap multilib mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre perl pppd python qt4 readline reflection session spl sse sse2 ssl subversion svg sysfs tcpd theora unicode vorbis webkit x264 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="via"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 9 hirakendu 2009-05-29 08:31:49 UTC
Created attachment 192825 [details, diff]
... or instead rename the internal dprintf to avoid conflict with that in glibc-2.10 :).
Comment 10 Jim Ramsay (lack) (RETIRED) gentoo-dev 2009-06-08 13:19:55 UTC
(In reply to comment #5)
> Just thought about this some more and my patches don't account for non
> POSIX.1-2008 systems.

Actually, this won't be a problem since no one actually calls the 'dprintk' defined in output.h

Furthermore, you may not have noticed, but the dprintk defined in output.h has a different signature than the dprintk in glibc-2.10, so *if* someone else tried to call the glibc-2.10 implementation in place of the output.h one, there would be errors all over the place.  There are not, thus it is safe to remove.

I think this fix is good enough, and I have committed it to CVS.  Try compiling kbuild-0.1.5-r1 once this fix hits the tree.
Comment 11 Jesse Adelman 2010-02-13 01:18:31 UTC
Howdy. It appears there may be a regression, as I get this error now with current checkouts of kbuild in svn and stable glibc-2.10. I'm attaching the build log after this post. Here's my emerge --info:

Portage 2.1.7.16 (default/linux/x86/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-tuxonice i686)
=================================================================
System uname: Linux-2.6.32-tuxonice-i686-Intel-R-_Pentium-R-_4_CPU_2.80GHz-with-gentoo-1.12.13
Timestamp of tree: Fri, 12 Feb 2010 18:55:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.5.4-r3, 2.6.4
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       3.4.6-r2, 4.1.2, 4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -ggdb"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.llarian.net/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.mirrors.pair.com/ http://gentoo.mirrors.easynews.com/linux/gentoo/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/dev/shm"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/vmware /usr/local/portage/layman/jokey /usr/local/portage"
SYNC="rsync://192.168.1.55/gentoo-portage"
USE="X Xaw3d a52 aac aalib acl acpi acpi4linux additions adns alsa amr apache2 audacious audiofile bash-completion berkdb bluetooth bonobo branding browserplugin bzip2 cairo cdda cddb cdparanoia cdr cgi cli corba cpudetection cracklib cron crypt cscope css ctype cups curl cxx dbus dell dga dri dts dv dvd dvdr dvdread eds emboss enca encode escreen ethereal evms2 evo exif expat faad fam fame fastcgi fbcon fbsplash ffmpeg firefox flac flash font-server force-cgi-redirect frontendonly ftp fts3 gb gd gdbm ggi gif gimpprint glut gmp gnome gphoto2 gpm gssapi gstreamer gtk gtkhtml guile hal hbci headless hpijs httpd iconv idn imagemagick imap isag jabber java jikes joystick jpeg junit kerberos kqemu kvm lcms ldap libcaca libnotify live lm_sensors logrotate lua lzo lzw-tiff mad maildir matroska mcal mdb mhash mikmod ming mjpeg mldonkeypango mmx mmxext mng modules mozcalendar mozdevelop moznoirc mozsvg mozxmlterm mp3 mp4 mp4live mpeg mpeg2 mpeg4 mplayer mpm-worker musicbrainz mysql mythtv nagios-dns nagios-ntp nagios-ping nagios-ssh ncurses net network networking new-hpcups nls nocd nptl nptlonly nsplugin ntlm odbc offensive ofx ogg openexr opengl openmp pam pam_chroot pam_timestamp pcap pcre pda pdf perl php png pnp posix ppds pppd python qt3support quicktime readline reflection rogue rtc ruby samba sasl sdl seamonkey session silc skins slang smp snmp sockets socks5 softmmu speex spell spl sqlite sse sse2 ssl startup-notification stream svg svga sysfs tcltk tcpd theora threads thunar tiff tokenizer truetype unicode usb v4l v4l2 vboxwebsrv vcd vde videos vim-with-x visualization vorbis win32codecs winbind wmf wxwindows x264 x86 xchattext xine xml xml2 xorg xosd xpm xrandr xscreensaver xtended xulrunner xv xvid xvmc yahoo yv12 zeo zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vga i810 intel" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Please let me know if more info is needed.
Comment 12 Jesse Adelman 2010-02-13 01:19:48 UTC
Created attachment 219395 [details]
Build log (dev-util:kbuild-9999:20100213-010430.log)